Name:		perl-Term-ReadPassword
Version: 	0.11
Release:	4.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Term::ReadPassword
Summary(de):	Perlmodul  Term::ReadPassword
URL: 		http://search.cpan.org/~phoenix/
Source0: 	Term-ReadPassword-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel gcc gcc-c++ perl

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
This module lets you ask the user for a password in the
traditional way, from the keyboard, without echoing.

%description(de)
Dieses Modul fragt den Benutzer nach einem Passwort ohne
es auf der Konsole auszugeben.

%prep
%setup -q -n Term-ReadPassword-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README Changes
%dir %{perl_vendorlib}/Term
%{perl_vendorlib}/Term/ReadPassword.pm
%{_mandir}/man3/Term::ReadPassword.3pm.gz

%changelog
* Thu Aug 06 2009 Carsten Schoene <cs@linux-administrator.com> - 0.11-3
- update to latest release 0.11

* Fri Dec 09 2005 Carsten Schoene <cs@linux-administrator.com> - 0.07
- initial build, needed by vhcs2. In preparation for upcoming vhcs2 SuSE packages.
